# Update product group

Use the **updateProductGroup** method to create a new product group for your account.

## Request parameters

| **Parameters**                                                                                                        | **Type/Description**                                                                                                                                                                                                                                                                                           |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**                                                                                                         | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect. The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</p> |
| [**ProductGroup**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Requests/003Product-group/) | <p><strong>Required (object)</strong><br>Use this object to update product groups.</p>                                                                                                                                                                                                                         |

### Response sample

```php
bool(true)
```

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$ProductGroup = new stdClass();
$ProductGroup->Name = 'New Product Group from API';
$ProductGroup->Code = 'DBA13A4268';
$ProductGroup->TemplateName = 'Default Template'; // the name of the cart template you want to associate with the product group
$ProductGroup->Description = 'This is a generic description';
$ProductGroup->Enabled = false;

try {
    $UpdatedProductGroup = $client->updateProductGroup($sessionID, $ProductGroup);
}

catch (SoapFault $e) {
    echo "UpdatedProductGroup: " . $e->getMessage();
    exit;
}

var_dump("UpdatedProductGroup", $UpdatedProductGroup);

?>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/product-group/update-product-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
